Subject: Re: bug#32840: linux-libre 4.18.9: shpchp is no longer a module (now: built-in)

From: [email-masked] (Ludovic Courtès)
Date: Thu, 18 Oct 2018 00:59:05 +0200

Hi Mark,

Mark H Weaver <[email-masked]> skribis:

> Nils Gillmann <[email-masked]> writes:
>
>> at taler we need shpchp as a module in the initrd.
>>
>> Before version 4.18.x, shpchp was a module we've build in guix' linux-libre,
>> you were able to just specify it for the initrd.
>>
>> With 4.18.9, this module became a compile-in/built-in (see linux
>> commit log).  I want to avoid maintaining yet another kernel
>> definition for future complications if I can.  Can we get this module
>> built in by default?
>
> Sure, that sounds sensible.  I'll push a config update soon.

I’ve reopened the bug because I think we need the same change as in
fe73352e8073ea0a0e6f6b5591f24395671998ab for AArch64 (at least it
appears to be needed on the OverDrive 1000.)

Could you take a look?

(I’m not entirely sure about the workflow to get the updated config from
“make oldconfig”…)

Thanks,
Ludo’.